Skip to main content
POST
Create Service Account

Authorizations

Authorization
string
header
required

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

Path Parameters

account_id
string<uuid>
required

Body

application/json

Request body for creating a service account.

name
string
required

Human-readable service account name

Required string length: 1 - 120
expires_at
string<date-time> | null

Optional UTC token expiry timestamp

Response

account_id
string<uuid>
required
created_at
string<date-time>
required
id
string<uuid>
required
name
string
required
token
string
required

Plaintext bearer token. Store it now; it is never returned again.

token_last4
string
required
token_prefix
string
required
token_public_id
string
required
updated_at
string<date-time>
required
created_by_user_id
string<uuid> | null
expires_at
string<date-time> | null
last_used_at
string<date-time> | null
revoked_at
string<date-time> | null
revoked_by_user_id
string<uuid> | null